%define name gadmin-rsync
%define version 0.1.9
%define release %mkrel 1

Summary: GAdmin-Rsync - An easy to use GTK+ frontend for the rsync backup client and server.
Summary(de): Gadmin-Rsync - GTK +-Frontend für den rsync-Backup-Client und Server.
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:	 Archiving/Backup
URL:	http://mange.dynalias.org/linux.html
Source0: http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#--------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
#--------------------------------
Requires: gtk+2
Requires:  usermode-consoleonly
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
GAdmin-Rsync - An easy to use GTK+ frontend for the rsync backup client and server.

#german
%description -l de
Gadmin-Rsync - Ein einfach zu bedienendes GTK +-Frontend für den rsync-Backup-Client und Server.


%prep
%setup -q

%configure2_5x

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -dm 755 %{buildroot}%{_sysconfdir}/pam.d/
install -dm 755 %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 etc/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 etc/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/gadmin-rsync.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
     --remove-category="Application" \
     --remove-category="X-Red-Hat-ServerConfig" \
     --remove-category="X-Red-Hat-Base" \
      --add-category="X-MandrivaLinux-Internet-Other" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


#remove
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if test ! -h %{_bindir}/gadmin-rsync ; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gadmin-rsync ; \
fi;

%{update_desktop_database}

%postun
%{clean_desktop_database}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%changelog
* Thu Nov 13 2014 bb <bb> 0.1.9-1pclos2014
- update

* Sun Dec 26 2010 Texstar <texstar at gmail.com> 0.1.6-1pclos2010
- 0.1.6

* Fri Nov 20 2009 slick50 <lxgator@gmail.com> 0.1.5-1pclos2010
- 0.1.5

